Fetch a cluster backup
Retrieve a PostgreSQL cluster backup by using its ID. This value can be found when you GET a list of PostgreSQL cluster backups.
You will need to base64 encode the string containing your credentials. Separate your username and password with a colon, i.e., username:password and send it as 'Authorization' request header. More details: https://en.wikipedia.org/wiki/Basic_access_authentication.
The unique ID of the backup.
498ae72f-411f-11eb-9d07-046c59cc737e-4oymiqu-12Successful operation.
A database backup.
The type of the resource.
The unique ID of the resource.
498ae72f-411f-11eb-9d07-046c59cc737eAny erroneous status code: 400 (parse error), 401 (auth error), 402 (trial access), 403 (insufficient permissions), 404 (not found), 405 (unsupported HTTP method), 415 (unsupported content type, 422 (validation error), 429 (request rate limit exceeded), 500 (server error), 503 (maintenance)
GET /databases/postgresql/clusters/backups/{backupId} HTTP/1.1
Host: api.ionos.com
Authorization: Basic username:password
Accept: */*
{
"type": "backup",
"id": "498ae72f-411f-11eb-9d07-046c59cc737e",
"metadata": {
"createdDate": "2020-12-10T13:37:50+01:00",
"state": "AVAILABLE"
},
"properties": {
"id": "498ae72f-411f-11eb-9d07-046c59cc737e",
"clusterId": "498ae72f-411f-11eb-9d07-046c59cc737e",
"version": "14",
"isActive": true,
"earliestRecoveryTargetTime": "2021-10-23T01:21:10Z",
"size": 2052,
"location": "de"
}
}Last updated
Was this helpful?